@import url(/public/template-8/src/general.css);
/* Section Cover */

.footer {
    position: relative;
    width: 562px;
    height: 85vh;
    background-color: var(--bg-color);
    display: flex;
    flex-direction: column;
    align-items: center;
    box-sizing: border-box;
    justify-content: space-between;
    font-family: Alegreya;
}

.footer p {
    font-family: Atma;
    font-size: 32px;
    color: var(--primary-color);
}

.footer .content .subtitle {
    color: var(--primary-color);
}

.footer p {
    font-family: Atma;
    font-size: 32px;
    color: var(--primary-color);
}

.footer h1 {
    font-family: 'Snell';
    z-index: 1;
    font-size: 52px;
    color: var(--primary-color);
}


.footer .content {
    z-index: 3;
    position: relative;
    width: 100%;
    height: 100%;
    padding: 18% 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    box-sizing: border-box;
    justify-content: space-evenly;
}

.footer .line {
    width: 10%;
    background-color: var(--primary-color);
    height: 2px;
}


/* Ornament */
.footer .ornaments-wrapper {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    pointer-events: none;
    z-index: 1;
    overflow: hidden;
}

.footer .ornaments-wrapper .butterfly-1 {
    position: absolute;
    right: 6%;
    top: 20%;
    width: 8%;
}

.footer .ornaments-wrapper .butterfly-2 {
    position: absolute;
    transform: rotate(45deg);
    top: 50%;
    left: 10%;
    width: 7%;
}

.footer .ornaments-wrapper .flowers-1 {
    position: absolute;
    top: 10%;
    left: 0;
    width: 26%;
    transform: scaleX(-1) rotate(330deg);
}

.footer .ornaments-wrapper .flowers-2 {
    position: absolute;
    bottom: 0;
    right: 0;
    width: 26%;
    transform: rotate(180deg);
}


/* End Ornament */

/* Line Ornament */

.footer .orn-line-1 {
    position: absolute;
    width: 100%;
    height: 85vh;
    padding: 20px;
    box-sizing: border-box;
}

.footer .orn-line-1 .line-outside-1,
.footer .orn-line-1 .line-inside-1 {
    clip-path: polygon(10% 0, 93% 0, 100% 5%, 100% 95%, 91% 100%, 9% 100%, 0 94%, 0 4%);
}

.footer .orn-line-1 .line-outside-1 {
    position: relative;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    background: var(--secondary-color);

}

.footer .orn-line-1 .line-inside-1 {
    position: absolute;
    top: 2.5px;
    left: 2.5px;
    right: 2.5px;
    bottom: 2.5px;
    background: var(--bg-color);
}

.footer .orn-line-2 {
    position: absolute;
    width: 100%;
    height: 85vh;
    padding: 32px;
    box-sizing: border-box;
}

.footer .orn-line-2 .line-outside-2 {
    border: 2.5px solid var(--secondary-color);
    width: 100%;
    height: 100%;
    box-sizing: border-box;
}

.footer .content .couple {
    display: flex;
    gap: 14%;
    justify-content: space-between;
}

.footer .content .couple .couple-wrapper:nth-child(2) {
    width: 10%;
}

.footer .content .couple .couple-wrapper {
    font-family: 'Snell';
    font-size: 32px;
    color: var(--primary-color);
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 40%;
}


.footer .content .couple .couple-wrapper .parent-name p {
    font-family: Alegreya;
    font-size: 14px;
    color: #9c61629f;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin-top: 12px;
}


/* Divider Custom */
.footer .orn-divider {
    top: -18%;
}




/* End Line Ornament */

@media (max-width: 562px) {
    .footer {
        width: 100%;
    }

    .footer p {
        font-size: 26px;
    }

    .footer .greetings p:nth-child(1) {
        font-size: 14px;
    }

    .footer .greetings p:nth-child(2) {
        font-size: 14px;
    }

    .footer .greetings p:nth-child(3) {
        font-size: 32px;
    }

    .footer .content .subtitle {
        font-size: 3vw;
    }

    .footer .content .billiard {
        width: 26vw;
    }

    .footer .content .couple .couple-wrapper {
        font-size: 8vw;
    }

    .footer h1 {
        font-size: 8vw;
    }

    .footer .content .couple {
        gap: 8%;
        justify-content: center;
    }

    .footer .date p {
        font-size: 6vw;
    }

    .footer .orn-line-1 .line-outside-1,
    .footer .orn-line-1 .line-inside-1 {
        clip-path: polygon(23% 0, 80% 0%, 100% 10%, 100% 90%, 76% 100%, 20% 100%, 0 92%, 0 8%)
    }

    .flowers-divider-1,
    .flowers-divider-2 {
        top: 0;
        width: 65%;
    }

    .footer .content .couple .couple-wrapper .parent-name p {
        font-size: 3.2vw;
    }
}

/* End Section Cover (1) */
